Rapid7 Vulnerability & Exploit Database

Rocky Linux: CVE-2022-31625: php (Multiple Advisories)

Free InsightVM Trial No Credit Card Necessary
2024 Attack Intel Report Latest research by Rapid7 Labs
Back to Search

Rocky Linux: CVE-2022-31625: php (Multiple Advisories)

Severity
7
CVSS
(AV:N/AC:M/Au:N/C:P/I:P/A:P)
Published
06/16/2022
Created
03/13/2024
Added
03/12/2024
Modified
05/06/2024

Description

In PHP versions 7.4.x below 7.4.30, 8.0.x below 8.0.20, and 8.1.x below 8.1.7, when using Postgres database extension, supplying invalid parameters to the parametrized query may lead to PHP attempting to free memory using uninitialized data as pointers. This could lead to RCE vulnerability or denial of service.

Solution(s)

  • rocky-upgrade-apcu-panel
  • rocky-upgrade-libzip
  • rocky-upgrade-libzip-debuginfo
  • rocky-upgrade-libzip-debugsource
  • rocky-upgrade-libzip-devel
  • rocky-upgrade-libzip-tools
  • rocky-upgrade-libzip-tools-debuginfo
  • rocky-upgrade-php
  • rocky-upgrade-php-bcmath
  • rocky-upgrade-php-bcmath-debuginfo
  • rocky-upgrade-php-cli
  • rocky-upgrade-php-cli-debuginfo
  • rocky-upgrade-php-common
  • rocky-upgrade-php-common-debuginfo
  • rocky-upgrade-php-dba
  • rocky-upgrade-php-dba-debuginfo
  • rocky-upgrade-php-dbg
  • rocky-upgrade-php-dbg-debuginfo
  • rocky-upgrade-php-debuginfo
  • rocky-upgrade-php-debugsource
  • rocky-upgrade-php-devel
  • rocky-upgrade-php-embedded
  • rocky-upgrade-php-embedded-debuginfo
  • rocky-upgrade-php-enchant
  • rocky-upgrade-php-enchant-debuginfo
  • rocky-upgrade-php-ffi
  • rocky-upgrade-php-ffi-debuginfo
  • rocky-upgrade-php-fpm
  • rocky-upgrade-php-fpm-debuginfo
  • rocky-upgrade-php-gd
  • rocky-upgrade-php-gd-debuginfo
  • rocky-upgrade-php-gmp
  • rocky-upgrade-php-gmp-debuginfo
  • rocky-upgrade-php-intl
  • rocky-upgrade-php-intl-debuginfo
  • rocky-upgrade-php-json
  • rocky-upgrade-php-json-debuginfo
  • rocky-upgrade-php-ldap
  • rocky-upgrade-php-ldap-debuginfo
  • rocky-upgrade-php-mbstring
  • rocky-upgrade-php-mbstring-debuginfo
  • rocky-upgrade-php-mysqlnd
  • rocky-upgrade-php-mysqlnd-debuginfo
  • rocky-upgrade-php-odbc
  • rocky-upgrade-php-odbc-debuginfo
  • rocky-upgrade-php-opcache
  • rocky-upgrade-php-opcache-debuginfo
  • rocky-upgrade-php-pdo
  • rocky-upgrade-php-pdo-debuginfo
  • rocky-upgrade-php-pear
  • rocky-upgrade-php-pecl-apcu
  • rocky-upgrade-php-pecl-apcu-debuginfo
  • rocky-upgrade-php-pecl-apcu-debugsource
  • rocky-upgrade-php-pecl-apcu-devel
  • rocky-upgrade-php-pecl-rrd
  • rocky-upgrade-php-pecl-rrd-debuginfo
  • rocky-upgrade-php-pecl-rrd-debugsource
  • rocky-upgrade-php-pecl-xdebug
  • rocky-upgrade-php-pecl-xdebug-debuginfo
  • rocky-upgrade-php-pecl-xdebug-debugsource
  • rocky-upgrade-php-pecl-xdebug3
  • rocky-upgrade-php-pecl-xdebug3-debuginfo
  • rocky-upgrade-php-pecl-xdebug3-debugsource
  • rocky-upgrade-php-pecl-zip
  • rocky-upgrade-php-pecl-zip-debuginfo
  • rocky-upgrade-php-pecl-zip-debugsource
  • rocky-upgrade-php-pgsql
  • rocky-upgrade-php-pgsql-debuginfo
  • rocky-upgrade-php-process
  • rocky-upgrade-php-process-debuginfo
  • rocky-upgrade-php-snmp
  • rocky-upgrade-php-snmp-debuginfo
  • rocky-upgrade-php-soap
  • rocky-upgrade-php-soap-debuginfo
  • rocky-upgrade-php-xml
  • rocky-upgrade-php-xml-debuginfo
  • rocky-upgrade-php-xmlrpc
  • rocky-upgrade-php-xmlrpc-debuginfo

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;